<?php

// ---------------------------------------------------------------------------
//
// PIVOT - LICENSE:
//
// This file is part of Pivot. Pivot and all its parts are licensed under 
// the GPL version 2. see: http://www.pivotlog.net/help/help_about_gpl.php
// for more information.
//
// ---------------------------------------------------------------------------


// module_search.php by bob & paul@slorp.org 12/9/2003

@reset ($Weblogs);
@$Current_weblog = (key($Weblogs));

LoadDefLanguage();

@set_time_limit(0);
@error_reporting(0);

$filtered_file = file("db/search/filtered_words.txt");
foreach($filtered_file as $val) {
	$filtered_words[] = trim($val);
}


	global $allowed_chars;
	
$allowed_chars = "0-9a-zA-Zߦ";

@$search = strtolower(trim($HTTP_POST_VARS['search']." ".$HTTP_GET_VARS['q'])) ;
$search = preg_replace ('/[^'.$allowed_chars.']/i',' ', $search);



// ---------- functions for indexing ------------- //

function start_index ($start, $stop, $time) {

	$db = new db();

	$entries = $db->db_lowlevel->date_index;

	$count = 0;

	foreach($entries as $key => $value) {
	
		if(($count++)<($start)) { continue; }		
		if(($count)>($stop)) { break; }

		if (($count % 50) == 0) { 
			printf("%1.2f sec: Processed %d entries.."."<br />\n", (timetaken('int')+$time), $count);
			flush();
		}

		strip_words($db->read_entry($key));

	}

	echo("<br /><br />");

	// decide if we need to do some more.
	if(count($entries) > ($stop)) {
		return TRUE;
	} else {
		return FALSE;
	}

}


function clear_index() {
	
	$d = dir("db/search/");
	while (false !== ($entry = $d->read())) {
		if(($entry!='.') && ($entry!='..') && ($entry!='filtered_words.txt')) {
			unlink("db/search/".$entry);
			//echo("[$entry]");
		}   
	}
	$d->close();

}



// update the index for a single entry
function update_index($entry) {
	global $master_index;


	strip_words($entry);

	foreach($master_index as $key => $index) {
		$filename = "db/search/" . $key . ".php";

		// load the index if it exists..
		if (file_exists($filename)) {
			$temp = load_serialize($filename);
		} else {
			$temp = array();
		}

		// add the new stuff..
		foreach($index as $key=>$val) {
			if(isset($temp[$key])) {
				$occurr = explode("|", $temp[$key]);
				$occurr[] = $val;
				$val = implode("|", array_unique($occurr));
				$temp[$key] = $val;
			} else {
				$temp[$key] = $val;
			}
		}	

		//echo("<br />mems1:".memory_get_usage());
		save_serialize($filename, $temp);
		unset($master_index[$key]);
		$wordcount += count($index);
	}

}


// parse the input, strip non-words, and add to the index..
function strip_words ($arr) {
	global $allowed_chars;

	$words1 = preg_split ("/\W/", unhtmlentities(strip_tags($arr['title'])));
	$words2 = preg_split ("/\W/", unhtmlentities(strip_tags($arr['subtitle'])));
	$words3 = preg_split ('/[^'.$allowed_chars.']/', unhtmlentities(strip_tags($arr['introduction'])));
	$words4 = preg_split ("/\W/", unhtmlentities(strip_tags($arr['body'])));

	$result = array_merge ($words1, $words2, $words3, $words4);
	$filter = filter_words($result);

	add_to_index($filter, $arr['code']);
}


function add_to_index ($arr,$code) {
	global $master_index;
	
	$arr = array_unique ($arr);
	
	foreach($arr as $string) {
		if(!isset($master_index[ $string{0} ][ $string ])) {
			$master_index[ $string{0} ][ $string ] = $code;
		} else {
			$master_index[ $string{0} ][ $string ] .= "|".$code;
		}
		
	}
}


function filter_words ($arr) {
	global $filtered_words, $allowed_chars;
	
	$clean = array();

	foreach($arr as $value) {
		
		$value = preg_replace ('/[^'.$allowed_chars.']/i','', strtolower($value));
		
		// save time by checking length of string
		if ((strlen($value) > 2) && (!in_array($value, $filtered_words)) ) {
				$clean[] = $value;	;
		}

	}
	
	return $clean;
}





function write_index ($silent=FALSE) {
	global $master_index;

	$wordcount = 0;

	foreach($master_index as $key => $index) {
		$filename = "db/search/" . $key . ".php";

		// load the index if it exists..
		if (file_exists($filename)) {
			$temp = load_serialize($filename);
		} else {
			$temp = array();
		}

		// add the new stuff..
		foreach($index as $key=>$val) {
			if(isset($temp[$key])) {
				$occurr = explode("|", $temp[$key]);
				$occurr[] = $val;
				$val = implode("|", array_unique($occurr));
				$temp[$key] = $val;
			} else {
				$temp[$key] = $val;
			}
		}	

		save_serialize($filename, $temp);
		$wordcount += count($index);
	}

	if($silent!=TRUE) {
		echo("<p>A total of ".$wordcount." different words have been indexed.</p>");	
	}


}


// ---------- functions for searching ------------- //

function search_index ($str) {
	global $index_file, $matches, $db;

	$words = explode(" ", trim($str));
	foreach($words as $key=>$val) {
		if(trim($val)=="") {
			unset($words[$key]);
		} else {
			$words[$key] = trim($val);
		}
	}
	

	if (count($words)>0) {
		foreach ($words as $word) {
			if (file_exists("db/search/".$word[0].".php")) {
				$index_file[ $word[0] ] = load_serialize("db/search/".$word[0].".php");
			}
		}
	}
	


	foreach($words as $word) {
		$res = getword($word);
		if($res) {
			$found_words[]=$word;
		}
	}

	// mix 'n match.. If the result set for 'AND' is empty, just lump
	// them together, so we have an 'OR'..
	if(count($matches)==1) {
		$result = $matches[0];
	} else if(count($matches)==2) { 
		list($word1,$word2) = $matches;
		$result = array_intersect($word1, $word2);
		if(count($result)==0) { $result = array_merge($word1, $word2); }
	} else if(count($matches)==3) {
		list($word1, $word2, $word3) = $matches;
		$result = array_intersect($word1, $word2, $word3);
		if(count($result)==0) { $result = array_merge($word1, $word2, $word3); }
	} else if(count($matches)>3) {
		list($word1, $word2, $word3, $word4) = $matches;
		$result = array_intersect($word1, $word2, $word3, $word4);
		if(count($result)==0) { $result = array_merge($word1, $word2, $word3, $word4); }
	}

	if(isset($found_words) && (count($found_words)>0)) {

		rsort($result);
		$result = array_unique($result);

		$output = str_replace('%name%', implode(', ',$found_words), lang('weblog_text', 'matches'))."<br />\n\n" ;
		$output .="<ul>\n\n";
		$db = new db();
		foreach($result as $hit) {
			
			if($db->entry_exists($hit)) {
				$entry = $db->read_entry($hit);
				$link = make_filelink($entry['code'], "", "");
				if ($entry['title']=="") {
					$entry['title'] = substr(strip_tags($entry['introduction']),0,50);
				}				
				$output .= "<li><!-- ". $entry['code']." --><a href='" . $link . "'>" . wordwrap($entry['title'], 40, " ", 1) . "</a><br /></li>\n";

			}

		}
		$output .="</ul>\n\n";	
	} else {		
		if (strlen(implode(' ', $words))>2) {
			$output = str_replace('%name%', implode(', ',$words), lang('weblog_text', 'nomatches'))."<br />" ;
		}
	}
	
	return $output;
}


// this one's for the entries screen..
function search_entries ($str) {
	global $index_file, $matches, $db;

	$words = explode(" ", trim($str));
	foreach($words as $key=>$val) {
		if(trim($val)=="") {
			unset($words[$key]);
		} else {
			$words[$key] = trim($val);
		}
	}
	

	if (count($words)>0) {
		foreach ($words as $word) {
			if (file_exists("db/search/".$word[0].".php")) {
				$index_file[ $word[0] ] = load_serialize("db/search/".$word[0].".php");
			}
		}
	}

	foreach($words as $word) {
		$res = getword($word);
		if($res) {
			$found_words[]=$word;
		}
	}

	// mix 'n match.. If the result set for 'AND' is empty, just lump
	// them together, so we have an 'OR'..
	if(count($matches)==1) {
		$result = $matches[0];
	} else if(count($matches)==2) { 
		list($word1,$word2) = $matches;
		$result = array_intersect($word1, $word2);
		if(count($result)==0) { $result = array_merge($word1, $word2); }
	} else if(count($matches)==3) {
		list($word1, $word2, $word3) = $matches;
		$result = array_intersect($word1, $word2, $word3);
		if(count($result)==0) { $result = array_merge($word1, $word2, $word3); }
	} else if(count($matches)>3) {
		list($word1, $word2, $word3, $word4) = $matches;
		$result = array_intersect($word1, $word2, $word3, $word4);
		if(count($result)==0) { $result = array_merge($word1, $word2, $word3, $word4); }
	}

	if(isset($found_words) && (count($found_words)>0)) {

		$db = new db();
		foreach($result as $hit) {
	
			$entry = $db->read_entry($hit);	
			if ($entry['title']=="") {
				$entry['title'] = substr(strip_tags($entry['introduction']),0,50);
			}
			unset($entry['comments']);
			unset($entry['introduction']);
			unset($entry['body']);
			$output[]=$entry;

		}

		return $output;
	} else {
		return array();
	}
}




function getword($word) {
	global $index_file, $db, $temp_entry, $matches;

	if(isset($index_file[ $word[0] ][ $word ])) {
		$matches[] = explode("|", $index_file[ $word[0] ][ $word ]);
		return TRUE;
	} else {
		return FALSE;
	}
}






function unhtmlentities ($string) {
	global $encode_html, $decode_html;

	if (!isset($encode_html)) {
		init_encode_table();
	}

	return strtr ($string, $decode_html);
}




function search_result() {
	global $search;

	$output = "<br />
	<form method='post' action='search.php'>
		<input type='text' name='search' value='$search' />
		<input type='submit' value='".lang('weblog_text', 'search')."' />
	</form>
	";

	$output .= search_index ($search);

	return $output;

}


?>
